Skip to main content

Confluence full reference

This is the full reference documentation for the Confluence agent connector.

Supported entities and actions

The Confluence connector supports the following entities and actions.

EntityActions
SpacesList, Get, Search
PagesList, Get, Search
Blog PostsList, Get, Search
GroupsList, Search
AuditList, Search

Spaces

Spaces List

Returns all spaces. Only spaces that the user has permission to view will be returned.

Python SDK

await confluence.spaces.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "spaces",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
cursorstringNoCursor for pagination
limitintegerNoMaximum number of spaces to return
type"global" | "personal"NoFilter by space type (global or personal)
status"current" | "archived"NoFilter by space status (current or archived)
keysarray<string>NoFilter by space keys
sort"id" | "-id" | "key" | "-key" | "name" | "-name"NoSort order for results
Response Schema

Records

Field NameTypeDescription
idstring
keystring
namestring
typestring
statusstring
authorIdstring
createdAtstring
homepageIdstring
spaceOwnerIdstring
currentActiveAliasstring
descriptionobject | any
iconobject | any
_linksobject

Meta

Field NameTypeDescription
nextstring

Spaces Get

Returns a specific space.

Python SDK

await confluence.spaces.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "spaces",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesThe ID of the space
description-format"plain" | "view"NoThe format of the space description in the response
Response Schema

Records

Field NameTypeDescription
idstring
keystring
namestring
typestring
statusstring
authorIdstring
createdAtstring
homepageIdstring
spaceOwnerIdstring
currentActiveAliasstring
descriptionobject | any
iconobject | any
_linksobject

Search and filter spaces records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await confluence.spaces.search(
query={"filter": {"eq": {"_links": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "spaces",
"action": "search",
"params": {
"query": {"filter": {"eq": {"_links": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
_linksobjectLinks related to the space
authorIdstringID of the user who created the space
createdAtstringTimestamp when the space was created
descriptionobjectSpace description in various formats
homepageIdstringID of the space homepage
iconobjectSpace icon information
idstringUnique space identifier
keystringSpace key
namestringSpace name
statusstringSpace status (current or archived)
typestringSpace type (global or personal)
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[]._linksobjectLinks related to the space
data[].authorIdstringID of the user who created the space
data[].createdAtstringTimestamp when the space was created
data[].descriptionobjectSpace description in various formats
data[].homepageIdstringID of the space homepage
data[].iconobjectSpace icon information
data[].idstringUnique space identifier
data[].keystringSpace key
data[].namestringSpace name
data[].statusstringSpace status (current or archived)
data[].typestringSpace type (global or personal)

Pages

Pages List

Returns all pages. Only pages that the user has permission to view will be returned.

Python SDK

await confluence.pages.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "pages",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
cursorstringNoCursor for pagination
limitintegerNoMaximum number of pages to return
space-idarray<integer>NoFilter pages by space ID(s)
titlestringNoFilter pages by title (exact match)
statusarray<"current" | "archived" | "trashed" | "draft">NoFilter pages by status
sort"id" | "-id" | "title" | "-title" | "created-date" | "-created-date" | "modified-date" | "-modified-date"NoSort order for results
body-format"storage" | "atlas_doc_format" | "view"NoThe format of the page body in the response
Response Schema

Records

Field NameTypeDescription
idstring
statusstring
titlestring
spaceIdstring
parentIdstring | any
parentTypestring | any
positioninteger
authorIdstring
ownerIdstring
lastOwnerIdstring | any
createdAtstring
versionobject
bodyobject
_linksobject

Meta

Field NameTypeDescription
nextstring

Pages Get

Returns a specific page.

Python SDK

await confluence.pages.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "pages",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesThe ID of the page
body-format"storage" | "atlas_doc_format" | "view"NoThe format of the page body in the response
versionintegerNoSpecific version number to retrieve
Response Schema

Records

Field NameTypeDescription
idstring
statusstring
titlestring
spaceIdstring
parentIdstring | any
parentTypestring | any
positioninteger
authorIdstring
ownerIdstring
lastOwnerIdstring | any
createdAtstring
versionobject
bodyobject
_linksobject

Search and filter pages records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await confluence.pages.search(
query={"filter": {"eq": {"_links": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "pages",
"action": "search",
"params": {
"query": {"filter": {"eq": {"_links": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
_linksobjectLinks related to the page
authorIdstringID of the user who created the page
bodyobjectPage body content
createdAtstringTimestamp when the page was created
idstringUnique page identifier
lastOwnerIdstringID of the previous page owner
ownerIdstringID of the current page owner
parentIdstringID of the parent page
parentTypestringType of the parent (page or space)
positionintegerPosition of the page among siblings
spaceIdstringID of the space containing this page
statusstringPage status (current, archived, trashed, draft)
titlestringPage title
versionobjectVersion information
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[]._linksobjectLinks related to the page
data[].authorIdstringID of the user who created the page
data[].bodyobjectPage body content
data[].createdAtstringTimestamp when the page was created
data[].idstringUnique page identifier
data[].lastOwnerIdstringID of the previous page owner
data[].ownerIdstringID of the current page owner
data[].parentIdstringID of the parent page
data[].parentTypestringType of the parent (page or space)
data[].positionintegerPosition of the page among siblings
data[].spaceIdstringID of the space containing this page
data[].statusstringPage status (current, archived, trashed, draft)
data[].titlestringPage title
data[].versionobjectVersion information

Blog Posts

Blog Posts List

Returns all blog posts. Only blog posts that the user has permission to view will be returned.

Python SDK

await confluence.blog_posts.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "blog_posts",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
cursorstringNoCursor for pagination
limitintegerNoMaximum number of blog posts to return
space-idarray<integer>NoFilter blog posts by space ID(s)
titlestringNoFilter blog posts by title (exact match)
statusarray<"current" | "draft" | "trashed">NoFilter blog posts by status
sort"id" | "-id" | "title" | "-title" | "created-date" | "-created-date" | "modified-date" | "-modified-date"NoSort order for results
body-format"storage" | "atlas_doc_format" | "view"NoThe format of the blog post body in the response
Response Schema

Records

Field NameTypeDescription
idstring
statusstring
titlestring
spaceIdstring
authorIdstring
createdAtstring
versionobject
bodyobject
_linksobject

Meta

Field NameTypeDescription
nextstring

Blog Posts Get

Returns a specific blog post.

Python SDK

await confluence.blog_posts.get(
id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "blog_posts",
"action": "get",
"params": {
"id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
idstringYesThe ID of the blog post
body-format"storage" | "atlas_doc_format" | "view"NoThe format of the blog post body in the response
versionintegerNoSpecific version number to retrieve
Response Schema

Records

Field NameTypeDescription
idstring
statusstring
titlestring
spaceIdstring
authorIdstring
createdAtstring
versionobject
bodyobject
_linksobject

Search and filter blog posts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await confluence.blog_posts.search(
query={"filter": {"eq": {"_links": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "blog_posts",
"action": "search",
"params": {
"query": {"filter": {"eq": {"_links": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
_linksobjectLinks related to the blog post
authorIdstringID of the user who created the blog post
bodyobjectBlog post body content
createdAtstringTimestamp when the blog post was created
idstringUnique blog post identifier
spaceIdstringID of the space containing this blog post
statusstringBlog post status (current, draft, trashed)
titlestringBlog post title
versionobjectVersion information
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[]._linksobjectLinks related to the blog post
data[].authorIdstringID of the user who created the blog post
data[].bodyobjectBlog post body content
data[].createdAtstringTimestamp when the blog post was created
data[].idstringUnique blog post identifier
data[].spaceIdstringID of the space containing this blog post
data[].statusstringBlog post status (current, draft, trashed)
data[].titlestringBlog post title
data[].versionobjectVersion information

Groups

Groups List

Returns all user groups.

Python SDK

await confluence.groups.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
startintegerNoStarting index for pagination
limitintegerNoMaximum number of groups to return
Response Schema

Records

Field NameTypeDescription
typestring
idstring
namestring
managedBystring
usageTypestring
resourceAristring
_linksobject

Meta

Field NameTypeDescription
startinteger
limitinteger
sizeinteger

Search and filter groups records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await confluence.groups.search(
query={"filter": {"eq": {"_links": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "search",
"params": {
"query": {"filter": {"eq": {"_links": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
_linksobjectLinks related to the group
idstringThe unique identifier of the group
namestringThe name of the group
typestringThe type of group
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[]._linksobjectLinks related to the group
data[].idstringThe unique identifier of the group
data[].namestringThe name of the group
data[].typestringThe type of group

Audit

Audit List

Returns audit log records.

Python SDK

await confluence.audit.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "audit",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
startintegerNoStarting index for pagination
limitintegerNoMaximum number of audit records to return
startDatestringNoStart date for filtering audit records (ISO 8601)
endDatestringNoEnd date for filtering audit records (ISO 8601)
searchStringstringNoSearch string to filter audit records
Response Schema

Records

Field NameTypeDescription
authorobject
remoteAddressstring
creationDateinteger
summarystring
descriptionstring
categorystring
sysAdminboolean
superAdminboolean
affectedObjectobject
changedValuesarray
associatedObjectsarray<object>

Meta

Field NameTypeDescription
startinteger
limitinteger
sizeinteger

Search and filter audit records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await confluence.audit.search(
query={"filter": {"eq": {"affectedObject": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "audit",
"action": "search",
"params": {
"query": {"filter": {"eq": {"affectedObject": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
affectedObjectobjectThe object that was affected by the audit event.
associatedObjectsarrayAny associated objects related to the audit event.
authorobjectThe user who triggered the audit event.
categorystringThe category under which the audit event falls.
changedValuesarrayDetails of the values that were changed during the audit event.
creationDateintegerThe date and time when the audit event was created.
descriptionstringA detailed description of the audit event.
remoteAddressstringThe IP address from which the audit event originated.
summarystringA brief summary or title describing the audit event.
superAdminbooleanIndicates if the user triggering the audit event is a super admin.
sysAdminbooleanIndicates if the user triggering the audit event is a system admin.
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].affectedObjectobjectThe object that was affected by the audit event.
data[].associatedObjectsarrayAny associated objects related to the audit event.
data[].authorobjectThe user who triggered the audit event.
data[].categorystringThe category under which the audit event falls.
data[].changedValuesarrayDetails of the values that were changed during the audit event.
data[].creationDateintegerThe date and time when the audit event was created.
data[].descriptionstringA detailed description of the audit event.
data[].remoteAddressstringThe IP address from which the audit event originated.
data[].summarystringA brief summary or title describing the audit event.
data[].superAdminbooleanIndicates if the user triggering the audit event is a super admin.
data[].sysAdminbooleanIndicates if the user triggering the audit event is a system admin.